{
    attributes = (
        {
            allowsNull = Y; 
            columnName = AGT_AJOUT; 
            externalType = VARCHAR2; 
            name = agtAjout; 
            valueClassName = NSString; 
            width = 1; 
        }, 
        {
            columnName = AGT_CIVILITE_MODIFS; 
            externalType = VARCHAR2; 
            name = agtCiviliteModifs; 
            valueClassName = NSString; 
            width = 1; 
        }, 
        {
            allowsNull = Y; 
            columnName = AGT_COMPTE; 
            externalType = VARCHAR2; 
            name = agtCompte; 
            valueClassName = NSString; 
            width = 1; 
        }, 
        {
            allowsNull = Y; 
            columnName = AGT_COMPTE_MODIFS; 
            externalType = VARCHAR2; 
            name = agtCompteModifs; 
            valueClassName = NSString; 
            width = 1; 
        }, 
        {
            allowsNull = Y; 
            columnName = AGT_CPT_TEMPO; 
            externalType = VARCHAR2; 
            name = agtCptTempo; 
            valueClassName = NSString; 
            width = 1; 
        }, 
        {
            allowsNull = Y; 
            columnName = AGT_FORUM; 
            externalType = VARCHAR2; 
            internalInfo = {_nameInObjectStore = AGT_COMPTE_IUT; }; 
            name = agtForum; 
            valueClassName = NSString; 
            width = 1; 
        }, 
        {
            columnName = AGT_LOGIN; 
            externalType = VARCHAR2; 
            name = agtLogin; 
            valueClassName = NSString; 
            width = 20; 
        }, 
        {
            allowsNull = Y; 
            columnName = AGT_PHOTO; 
            externalType = VARCHAR2; 
            name = agtPhoto; 
            valueClassName = NSString; 
            width = 1; 
        }, 
        {
            allowsNull = Y; 
            columnName = AGT_SUPPRESSION; 
            externalType = VARCHAR2; 
            name = agtSuppression; 
            valueClassName = NSString; 
            width = 1; 
        }, 
        {
            allowsNull = Y; 
            columnName = AGT_TEM_VALIDE; 
            externalType = VARCHAR2; 
            internalInfo = {_nameInObjectStore = AGT_COMPTE_IUT; }; 
            name = agtTemValide; 
            valueClassName = NSString; 
            width = 1; 
        }, 
        {
            allowsNull = Y; 
            columnName = AGT_TOUT; 
            externalType = VARCHAR2; 
            name = agtTout; 
            valueClassName = NSString; 
            width = 1; 
        }, 
        {
            columnName = AGT_VOIR_INFOS_PERSO; 
            externalType = VARCHAR2; 
            name = agtVoirInfosPerso; 
            valueClassName = NSString; 
            width = 1; 
        }, 
        {
            columnName = NO_INDIVIDU; 
            externalType = NUMBER; 
            name = noIndividu; 
            precision = 8; 
            valueClassName = NSNumber; 
            valueType = i; 
        }
    ); 
    attributesUsedForLocking = (
        agtLogin, 
        noIndividu, 
        agtVoirInfosPerso, 
        agtCompte, 
        agtTout, 
        agtAjout, 
        agtCompteModifs, 
        agtPhoto, 
        agtTemValide, 
        agtCptTempo, 
        agtSuppression, 
        agtForum, 
        agtCiviliteModifs
    ); 
    className = EOGenericRecord; 
    classProperties = (
        agtLogin, 
        noIndividu, 
        agtVoirInfosPerso, 
        agtCompte, 
        agtTout, 
        agtAjout, 
        agtCompteModifs, 
        agtPhoto, 
        agtTemValide, 
        agtCptTempo, 
        toIndividu, 
        agtSuppression, 
        agtForum, 
        agtCiviliteModifs
    ); 
    externalName = AGENT_ADRESSES; 
    fetchSpecificationDictionary = {}; 
    internalInfo = {
        _clientClassPropertyNames = (
            agtLogin, 
            noIndividu, 
            agtVoirInfosPerso, 
            agtCompte, 
            agtTout, 
            agtAjout, 
            agtCompteModifs, 
            agtPhoto, 
            agtCompteIut, 
            toIndividu, 
            Attribute, 
            agtSuppression, 
            agtCptTempo, 
            agtTemValide
        ); 
    }; 
    name = AgentAdresses; 
    primaryKeyAttributes = (agtLogin); 
    relationships = (
        {
            destination = IndividuUlr; 
            isToMany = N; 
            joinSemantic = EOInnerJoin; 
            joins = ({destinationAttribute = noIndividu; sourceAttribute = noIndividu; }); 
            name = toIndividu; 
        }
    ); 
}
